Module jdk.security.jgss
Package com.sun.security.jgss

# Class InquireSecContextPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
com.sun.security.jgss.InquireSecContextPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

    public final class InquireSecContextPermission
    extends BasicPermission

This class is used to protect various attributes of an established GSS security context that can be accessed using the `ExtendedGSSContext.inquireSecContext(com.sun.security.jgss.InquireType)` method.

The target name is the `InquireType` allowed.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InquireSecContextPermission​(String name)` | Constructs a new `InquireSecContextPermission` object with the specified name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InquireSecContextPermission

public InquireSecContextPermission​(String name)
Constructs a new `InquireSecContextPermission` object with the specified name. The name is the symbolic name of the `InquireType` allowed.

Parameters:
  `name` - the `InquireType` allowed by this permission. "*" means all `InquireType`s are allowed.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.